Subject: Re: [PATCH net-next 1/1] net: rmnet_data: Initial implementation

From: Subash Abhinov Kasiviswanathan <[email-masked]>
Date: Wed, 08 Mar 2017 14:25:19 -0700

> Inside the kernel you should use "u32", "u16", "u8", etc. for purely
> internal things, and for datastructures exported to userspace you
> should use "__u32", "__u16", "__u8".
> 
> Furthermore, if the members have specific endianness you should
> properly use the "__le32", "__le16", "__be32", "__be16" etc. types.
> 
> 
> Please use netlink for device instantiation and configuration
> rather than ioctls.

Hi David

Thanks for reviewing. I'll post v2 with these changes.